V3.0
get
/ec-dc-svc/rest/v3.0/studies/{studyId}/{mode}/subjects/{subjectId}/nextVisitAction
Retrieves the next visit action, rescreen eligibility, and dispensation rollback eligibility for the specified subject.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
3234E620DE2E41D69A36571064E727B2 -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : SubjectNextVisitActionResultDto30
Type:
Show Source
object-
enableRescreen: boolean
boolean indicating if a new rescreen visit can be initiated for the subjectExample:
true -
nextVisitAction: integer
(int32)
Next Visit Action will happen. Its values can be SCREEN_ENABLE, SCREEN_DISABLE, RANDOMIZE_ENABLE, RANDOMIZE_DISABLE, DISPENSE_ENABLE, DISPENSE_DISABLE, COMPLETE_STUDY_ENABLE, COMPLETE_STUDY_DISABLE
-
rollbackDispensation: object
RollbackDispensation
Rollback Last Dispensation availability and visit context.
Nested Schema : RollbackDispensation
Type:
objectRollback Last Dispensation availability and visit context.
Show Source
-
enabled: boolean
Indicates whether the last dispensation can be rolled back for the subject.Example:
true -
eventId: string
Event id for the dispensation visit eligible for rollback.Example:
ABCDEF1234567890ABCDEF1234567890 -
eventInstanceNum: integer
(int32)
Minimum Value:
1Event instance number for repeating or unscheduled dispensation visits.Example:1 -
targetKitStatus: string
Target kit status configured for the rollback visit type.Example:
AVAILABLE
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}